#
# spec file for package libqjson (Version 0.7.1)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           libqjson
Summary:        QJson is a qt-based library that maps JSON data to QVariant objects
Version:        0.7.1
Release:        1.3
License:        LGPL
Url:            http://qjson.sourceforge.net/
%define svn_rev 1058132
Source:         qjson-svn-r%{svn_rev}.tar.bz2
Group:          Development/Libraries/C and C++
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  cmake
BuildRequires:  libqt4-devel
%define soname %{name}0
%define debug_package_requires libqjson0 = %version-%release

%description
JSON (JavaScript Object Notation) is a lightweight data-interchange format.
It can represent integer, real number, string, an ordered sequence of value,
and a collection of name/value pairs. QJson is a qt-based library that maps
JSON data to QVariant objects. JSON arrays will be mapped to QVariantList
instances, while JSON's objects will be mapped to QVariantMap.

Authors:
--------
    Flavio Castelli <flavio@castelli.name>

%package -n libqjson0
Summary:        QJson is a qt-based library that maps JSON data to QVariant objects
Group:          Development/Libraries/C and C++
License:        LGPL

%description -n libqjson0
JSON (JavaScript Object Notation) is a lightweight data-interchange format.
It can represent integer, real number, string, an ordered sequence of value,
and a collection of name/value pairs. QJson is a qt-based library that maps
JSON data to QVariant objects. JSON arrays will be mapped to QVariantList
instances, while JSON's objects will be mapped to QVariantMap.

Authors:
--------
    Flavio Castelli <flavio@castelli.name>

%package devel
Summary:        Development files for QJson
Group:          Development/Libraries/C and C++
License:        LGPL
Requires:       %{soname} = %{version}

%description devel
JSON (JavaScript Object Notation) is a lightweight data-interchange format.
It can represent integer, real number, string, an ordered sequence of value,
and a collection of name/value pairs. QJson is a qt-based library that maps
JSON data to QVariant objects. JSON arrays will be mapped to QVariantList
instances, while JSON's objects will be mapped to QVariantMap.

This package contains files for developing applications using QJson.

Authors:
--------
    Flavio Castelli <flavio@castelli.name>

%prep
%setup -q -n qjson

%build
export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS"
%ifarch x86_64 s390x ppc64 ia64
LIBSUFFIX="-DLIB_SUFFIX=64"
%else
LIBSUFFIX=""
%endif
cmake . -DCMAKE_SKIP_RPATH=TRUE \
        -DCMAKE_INSTALL_PREFIX=%{_prefix} \
        -DCMAKE_MODULES_INSTALL_DIR=%{_datadir}/cmake/Modules \
        $LIBSUFFIX
make %{?jobs:-j %jobs}

%install
%makeinstall

%clean
rm -rf %{buildroot}

%post -n %{soname} -p /sbin/ldconfig

%postun -n %{soname} -p /sbin/ldconfig

%files -n %{soname}
%defattr(-,root,root)
%{_libdir}/libqjson.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/qjson
%{_libdir}/libqjson.so
%{_libdir}/pkgconfig/QJson.pc
%{_datadir}/cmake/Modules/FindQJSON.cmake

%changelog
* Fri Dec  4 2009 flavio@castelli.name
- updated to 0.7.1: fixed installation issued
* Fri Dec  4 2009 flavio@castelli.name
- updated to 0.7.0: it's now possible to serialize QObject instances to JSON and vice-versa
* Sun Oct 11 2009 flavio@castelli.name
- updated to 0.6.3: fixed a bug affecting ulonglong numbers serialization
* Thu Sep 17 2009 dmueller@suse.de
- fix debug package requires (for 11.0 and older)
* Tue Sep 15 2009 flavio@castelli.name
- updated to 0.6.2: fixed a bug affecting ulonglong numbers parsing
* Wed Sep  9 2009 flavio@castelli.name
- updated to 0.6.1: relevant bugs fixed
* Mon Aug 24 2009 flavio@castelli.name
- updated to latest svn version: moved the SerializerRunnable class inside QJson namespace
* Thu Jul 23 2009 flavio@castelli.name
- updated to latest svn version: fixed a bug in cmdline_tester
* Mon Jul 20 2009 prusnak@suse.cz
- updated to 0.6.0 (KDE SVN rev 999750)
- renamed libqjson0-devel to libqjson-devel to follow guidelines
* Tue Apr  7 2009 flavio@castelli.name
- released 0.5.1 - added unicode support
* Fri Apr  3 2009 flavio@castelli.name
- first release
